{% extends "main-template.html" %}{% load static %}
{% block title %}Galeria Pet Shop{% endblock %}
{% block content %}
<body class="galeria">
    <link rel="stylesheet" type="text/css" href="{% static 'style/estilo-galeria.css' %}">
        <div class="modal-header d-block">
            <h1><i class="fa-solid fa-plate-wheat"></i> Galería de Productos</h1>
        </div>
       

    <div class="container-fluid d-flex row justify-content-between alig-items-stretch align-content-center py-5 px-5">
        {% for p in productos %}
        <div class="card mb-4" style="width: 18rem;">
            <p class="card-text m-0 w-100 p-3" style="font-size: 10px;">CÓDIGO <b>#{{p.codigo}}</b></p>
            <img src="{{p.url}}" class="card-img-top" alt="..." width="200" height="200">
            <div class="card-body d-flex flex-column justify-content-start align-items-start align-content-center">
                <!-- <p class="card-text m-0">Código: {{p.codigo}}</p> -->
                <div>
                    <p class="card-text m-0" style="font-size: 10px;">PRODUCTO</p>
                    <h5 class="card-title" style="text-transform: lowercase; text-transform: capitalize;">{{p.nombre}}</h5>
                </div>
                <!-- <a href="javascript:void(0)" onclick="agregar_producto('{codigo: {{ p.codigo }}, producto: {{ p.nombre}}, precio: {{p.precio}}}')" class="btn btn-primary">Agregar</a> -->
            </div>
            <div class="w-100 d-flex flex-column justify-content-center align-content-center align-items-center pb-3">
                <p class="card-text m-0">Precio: {{p.precio}}</p>
                <a href="/productos?codigo={{p.codigo}}" class="btn btn-warning">Agregar</a>
            </div>
        </div>
        {% endfor %}
  
    </div>
    <script src="{% static 'js/custom/productos.js' %}"></script>
{% endblock %}



</body>